# class Object::Syck::Object

Define YAML::Object class

### Attributes

class[RW]
ivars[RW]

### Public Class Methods

new(p1, p2) click to toggle source

YAML::Object.initialize

    VALUE
    syck_yobject_initialize(VALUE self, VALUE klass, VALUE ivars)
    {
        rb_iv_set( self, "@class", klass );
        rb_iv_set( self, "@ivars", ivars );
        return self;
    }

### Public Instance Methods

yaml_initialize(p1, p2) click to toggle source

YAML::Object.initialize

    VALUE
    syck_yobject_initialize(VALUE self, VALUE klass, VALUE ivars)
    {
        rb_iv_set( self, "@class", klass );
        rb_iv_set( self, "@ivars", ivars );
        return self;
    }